mailscripts (30-2) unstable; urgency=medium

  * Fix Suggests for sendmail-reinject, python3-notmuch -> python3-notmuch2
    (Closes: #1098665).
    Thanks to David Bremner for the report.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 22 Feb 2025 21:07:27 +0800

mailscripts (30-1) unstable; urgency=medium

  * imap-dl: Drop two apparently-obsolete mypy "type: ignore" comments
    (Closes: #1086292).

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 04 Nov 2024 09:08:01 +0800

mailscripts (29-2) unstable; urgency=medium

  * Rebuild against newer dh-elpa.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 26 Jul 2024 11:58:06 +0900

mailscripts (29-1) unstable; urgency=medium

  * Clean up types for mypy 1.9.0 (Closes: #1067796).
    Thanks to Daniel Kahn Gillmor for the patch.
    - New build-dep on python3-gssapi.
    - Update copyright years for dkg.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 06 Apr 2024 16:23:46 +0800

mailscripts (28-1) unstable; urgency=medium

  * mailscripts.el:
    - new commands: mailscripts-git-format-patch-{attach,drafts,append}
    - new DWIM wrapper command: mailscripts-prepare-patch

    - notmuch-extract-{thread,message}-patches: add Gnus support
      notmuch-extract-message-patches{,-to-project} are now aliases for
      mailscripts-extract-message-patches{,-to-project}.
    - if mailscripts-extract-message-patches identifies no attachments,
      it now offers to pipe the whole message to 'git am'

    - don't offer to detach a HEAD that's already detached
    - rewrite short description and add a brief commentary
    - load the notmuch library only when code that requires it is called
    - move the mailscripts customisation group into the mail group
    - add declarations to fix byte compilation warnings
    - fix usage of cl-case in an internal function.
  * debian/control: update Description: for elpa-mailscripts.
    Use the new short description and commentary from mailscripts.el.
  * Add & install a README, to both binary packages.
  * Tighten build-dep on python3-pgpy to require >= 0.5.4-4.1.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 24 Dec 2022 12:09:07 -0700

mailscripts (27-1) unstable; urgency=medium

  * Update Makefile register-python-argcomplete3 -> register-python-argcomplete
    (Closes: #1013622).

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 24 Jun 2022 14:51:22 -0700

mailscripts (26-1) unstable; urgency=medium

  * New script: sendmail-reinject (Closes: #1009617)
    - add default-mta | mail-transport-agent, python3-notmuch to Suggests
    - add Jameson Graef Rollins to d/copyright
    - add an entry to the package description.
    Thanks to Jameson Graef Rollins for the new script.
  * Run wrap-and-sort -abst.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 16 May 2022 17:01:00 -0700

mailscripts (25-1) unstable; urgency=medium

  * notmuch-slurp-debbug:
    - Exit immediately if Mail::Box::Manager::open fails.
    - Support tilde expansion in 'maildir' configuration key.
  * mdmv: ensure destination path ends with ':2,' when message has no flags.
    Previously we were writing some messages with no flags into cur/
    directories without this suffix, which is invalid (see maildir(5)).
  * mailscripts.el: change mailscripts-project-library default to `project'.
    Now that Emacs 28.1 is out, the latest stable release of Emacs
    contains a more fully-featured version of project.el, so change the
    default as we said we would.
  * Drop the '0.' prefix to mailscripts version numbers.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 04 Apr 2022 18:07:45 -0700

mailscripts (0.24-1) unstable; urgency=medium

  * mailscripts.el:
    - Enable lexical binding.
    - notmuch-slurp-debbug: at end, call notmuch-search not notmuch-show.
      This should avoid leaving the user viewing a thread containing only
      control messages, with no easy way to get to the bug correspondence.
    - mailscripts-detach-head-from-existing-branch can now have value `ask'.
  * gmi2email:
    - Support commenting out subscriptions.
    - Cope with XML feeds sent with text/gemini MIME type.
  * notmuch-extract-patch(1): add link to the piem project.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 07 Jan 2022 14:48:01 -0700

mailscripts (0.23-1) unstable; urgency=medium

  * New script: gmi2email
    - add libdbd-sqlite3-perl, libio-socket-ssl-perl, libmime-lite-perl,
      libemail-date-format-perl, libtry-tiny-perl, libmailtools-perl and
      libxml-feed-perl to Suggests.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 28 Jan 2021 16:34:40 -0700

mailscripts (0.22-1) unstable; urgency=medium

  * mailscripts.el:
    - drop hard dependency on Projectile
    - add new defcustom, mailscripts-project-library
    - replace *-projectile commands with new *-to-project commands, which
      support both Projectile and project.el for choosing from known
      projects
    - Use 'cl-case' not 'case' and require cl-lib.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 19 Jan 2021 16:14:45 -0700

mailscripts (0.21-1) unstable; urgency=medium

  * mailscripts.el:
    - new command: notmuch-slurp-debbug-at-point
    - notmuch-slurp-this-debbug: if fail to extract bug number from
      subject line, prompt user for one
    - notmuch-slurp-debbug: invoke notmuch to determine the thread-id
      rather than passing the search query directly to `notmuch-show'.
      That is not how `notmuch-show' is meant to be called and can result
      in strange behaviour.
  * mbox-extract-patch: When inserting trailers, ensure there is a blank
    line before the block of trailers.
  * Add a Homepage: to the Debian packaging metadata (Closes: #961664).
    Thanks to Daniel Kahn Gillmor for the patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 01 Jun 2020 10:11:47 -0700

mailscripts (0.20-1) unstable; urgency=medium

  * imap-dl: Fix failure when python3-gssapi isn't installed (Closes: #955011).
    Thanks to Robbie Harwood for the patch.
  * imap-dl: Update for imaplib type changes (Closes: #959607).
    Thanks to Robbie Harwood for the patch and David Bremner for testing.
  * notmuch-slurp-debbug: Fix reading configuration file (Closes: #958391).
    Thanks to intrigeri for the patch.
  * mailscripts.el:
    - Change prompt "branch name" -> "new branch name".
      When the user inputs a branch name, it is used only to attempt the
      creation of a new branch, but the old prompt suggests that inputting
      an existing branch name would cause that branch to be checked out.
    - Add mailscripts-detach-head-from-existing-branch defcustom.
    - notmuch-extract-message-patches: set NO-STRICT-MIME argument of
      `mm-dissect-buffer' to enable extracting patches from more messages.
    - notmuch-extract-message-patches: attempt to improve regexp to
      extract more wanted patches.
  * maildir-import-patch: Prepend "[PATCH fooproject imported]" to the
    subject lines of patches, unless the user supplies a --subject-prefix
    option to be passed on to git-format-patch(1).
    This makes patches generated by this script more easily
    distinguishable from patches really received by e-mail.
    - Add libgit-wrapper-perl to Recommends.
  * Add mailing list & IRC channel info to CONTRIBUTING.rst.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 05 May 2020 10:53:38 -0700

mailscripts (0.19-1) unstable; urgency=medium

  * notmuch-slurp-debbug: rework to use Mail::Box rather than shelling out
    to scripts to move mail around.
    - Drop dependency on libmime-tools-perl.
  * imap-dl:
    - Update documentation to be less oriented towards former users of
      getmail (Closes: #953582).
      Thanks to Daniel Kahn Gillmor for the patch.
    - Allow specifying ssl_ciphers.
      Thanks to Robbie Harwood for the patch.
    - Add support for GSSAPI authentication.
      Thanks to Robbie Harwood for the patch and Daniel Kahn Gillmor for
      review.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 20 Mar 2020 13:12:58 -0700

mailscripts (0.18-1) unstable; urgency=medium

  * notmuch-extract-patch: rewrite:
    - Split into notmuch-extract-patch(1) and mbox-extract-patch(1).
    - Don't require -v when only one series in thread (Closes: #951218).
      + When there is no -v, extract the patch series with the highest
        reroll count that we see.
    - New --trailers and --cover-letter-trailers features (Closes: #951211).
      + --trailers is on by default; use --no-trailers to disable.
    - Stop outputting message subjects on standard error.
  * New dependencies on liblist-moreutils-perl, libmail-box-perl.
  * mailscripts.el: instead of defaulting to passing --reroll-count=1 to
    notmuch-extract-patch, don't pass any reroll count unless there is a
    prefix arg.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 15 Feb 2020 15:10:56 -0700

mailscripts (0.17-1) unstable; urgency=medium

  * email-print-mime-structure: pass --disable-dirmngr to gpgsm and drop
    <!nocheck> build-dep on dirmngr (Closes: #946111).
    Thanks to Daniel Kahn Gillmor for a patch.
  * New script: imap-dl (Closes: #940461).
    Thanks to Daniel Kahn Gillmor and Jameson Rollins for the patch, and
    others for testing out the new tool.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 14 Feb 2020 10:37:02 -0700

mailscripts (0.16-1) unstable; urgency=medium

  email-print-mime-structure:
  * Add a test suite (Closes: #945451).
    - Add <!nocheck> builddeps on
      + python3
      + python3-pgpy
      + gpg
      + gpg-agent
      + mypy.
  * Add capability to decrypt S/MIME-encrypted messages (Closes: #945195).
    - Add gpgsm, openssl to Build-Depends and Suggests.
    - Add <!nocheck> build-dep on dirmngr.
  * Add capability to handle one-part PKCS#7 signature objects.
    - Add gnutls-bin to Build-Depends and Suggests.
  * Fully decode encrypted parts before passing to any decryption
    mechanism.
    See <https://bugs.debian.org/945195#100>.

    Thanks to Daniel Kahn Gillmor for two patch series implementing these
    improvements.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 28 Nov 2019 11:27:38 -0700

mailscripts (0.15-1) unstable; urgency=medium

  * notmuch-extract-patch: when checking the reroll count, do not require
    that '[PATCH nn/mm]' appear right at the beginning of the subject.
  * notmuch-extract-patch: strip text in Subject: before '[PATCH nn/mm]'
    to avoid it getting into the commit message.
    E.g. the Debian BTS prepends 'Bug#nnnnnn: ' to the Subject: field.
  * mailscripts.el: handle situation in which notmuch-show-thread-id
    contains an arbitrary search query rather than the thread ID.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 21 Nov 2019 15:31:18 -0700

mailscripts (0.14-1) unstable; urgency=medium

  * email-print-mime-structure: add bash completion (Closes: #944434).
    Thanks to Daniel Kahn Gillmor for the patch.
    - Build-depend on bash-completion, python3-argcomplete.
    - Recommend python3-argcomplete.
  * email-print-mime-structure: replace --use-gpg-agent=true with
    --use-gpg-agent, and add --no-use-gpg-agent (Closes: #944475).
    This is due to limitations in Python's argparse library.
    Thanks to Daniel Kahn Gillmor for the report and a patch.
  * Declare compliance with Debian Policy 4.4.1.
    Thanks to Daniel Kahn Gillmor for taking the time to verify that no
    changes are required.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 15 Nov 2019 18:19:04 -0700

mailscripts (0.13-1) unstable; urgency=medium

  * notmuch-extract-patch: add -v/--reroll-count option (Closes: #944418).
  * mailscripts.el: prefix arg to pass -v/--reroll-count to
    notmuch-extract-patch.
  * email-print-mime-structure: add --use-gpg-agent option (Closes: #944340).
    Thanks to Daniel Kahn Gillmor for the patch series.
    - Suggest gpg & gpg-agent.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 10 Nov 2019 01:12:04 -0700

mailscripts (0.12-1) unstable; urgency=medium

  * email-print-mime-structure: make typesafe.
    Thanks to Daniel Kahn Gillmor for the patch.
  * email-print-mime-structure: add capability to decrypt message parts
    (Closes: #943959).
    Thanks to Daniel Kahn Gillmor for the patch series.

  * mailscripts.el:
    - new defcustom: mailscripts-extract-patches-branch-prefix
    - new commands:
      + notmuch-extract-thread-patches-projectile
      + notmuch-extract-message-patches{,-projectile}
    - if user does not enter a branch name, use current HEAD.
  * elpa-mailscripts now depends on elpa-projectile.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 06 Nov 2019 20:54:56 -0700

mailscripts (0.11-1) unstable; urgency=medium

  * New script: email-print-mime-structure (Closes: #939993).
    Imported from the notmuch project, which never installed it.
    Thanks to Daniel Kahn Gillmor for the patches.
  * Generate nroff output in UTF-8.
    Thanks to Daniel Kahn Gillmor for the patch.
  * Use 'https' instead of 'http' in various places (Closes: #939994).
    Thanks to Daniel Kahn Gillmor for the patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 15 Sep 2019 08:13:41 -0700

mailscripts (0.10-1) unstable; urgency=medium

  * New script: email-extract-openpgp-certs(1) (Closes: #932993).
    Thanks to Daniel Kahn Gillmor for the patch.
  * Add CONTRIBUTING.rst.
  * d/copyright: completely new scripts may use any DFSG-compatible license.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 30 Jul 2019 13:25:36 +0100

mailscripts (0.9-1) unstable; urgency=medium

  * Fix docstring for notmuch-extract-thread-patches not to say that the
    target branch must not yet exist.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 14 Jul 2019 15:58:46 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog mailscripts`.
